## cascading.flow.hadoop
Class HadoopStepStats.HadoopTaskStats

    java.lang.Object
      cascading.flow.hadoop.HadoopStepStats.HadoopTaskStats

Enclosing class:
  HadoopStepStats

    public static class HadoopStepStats.HadoopTaskStats

extends Object

Class HadoopTaskStats ...

Nested Class Summary
`static class` `HadoopStepStats.HadoopTaskStats.TaskType`

Field Summary
`Map<String,Long>` `counters` Field counters
`long` `finishTime` Field finishTime
`String` `id` Field id
`long` `startTime` Field startTime
`String` `state` Field state
`String` `status` Field status
`HadoopStepStats.HadoopTaskStats.TaskType` `taskType` Field taskType

Constructor Summary
`HadoopStepStats.HadoopTaskStats(HadoopStepStats.HadoopTaskStats.TaskType taskType, TaskReport taskReport)`
`HadoopStepStats.HadoopTaskStats(TaskCompletionEvent taskCompletionEvent)`

Method Summary
`void` `fill(HadoopStepStats.HadoopTaskStats.TaskType taskType, TaskReport taskReport)`
`void` `fill(TaskCompletionEvent taskCompletionEvent)`
`long` `getCounterValue(Enum counter)`
`long` `getCounterValue(String group, String name)`
`String` `getId()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### taskType

    public HadoopStepStats.HadoopTaskStats.TaskType taskType

  Field taskType

### id

    public String id

  Field id

### startTime

    public long startTime

  Field startTime

### finishTime

    public long finishTime

  Field finishTime

### status

    public String status

  Field status

### state

    public String state

  Field state

### counters

    public Map<String,Long> counters

  Field counters

Constructor Detail

### HadoopStepStats.HadoopTaskStats

    public HadoopStepStats.HadoopTaskStats(HadoopStepStats.HadoopTaskStats.TaskType taskType,
                                           TaskReport taskReport)

### HadoopStepStats.HadoopTaskStats

    public HadoopStepStats.HadoopTaskStats(TaskCompletionEvent taskCompletionEvent)

Method Detail

### getId

    public String getId()

### fill

    public void fill(TaskCompletionEvent taskCompletionEvent)

### fill

    public void fill(HadoopStepStats.HadoopTaskStats.TaskType taskType,
                     TaskReport taskReport)

### getCounterValue

    public long getCounterValue(Enum counter)

### getCounterValue

    public long getCounterValue(String group,
                                String name)

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.